class ClassicalGT:
	"""
	คลาส ClassicalGT คือ
	ข้อมูลที่เกี่ยวข้องกับกีตาร์คลาสสิค
	ประกอบด้วย ประวัติ
	วิธีการเล่น

	ตัวอย่างการใช้งาน
	--------------------
	gt = ClassicalGT()
	gt.show_name()
	gt.show_youtube()
	gt.about()
	gt.show_art()
	--------------------
	"""
	def __init__(self):
		self.name = 'กีตาร์คลาสสิค'
		self.page = 'https://en.wikipedia.org/wiki/Classical_guitar'

	def show_name(self):
		print('สวัสดีครับ เราได้รวบรวมข้อมูลเกี่ยวกับ {} อย่างย่อๆ มาให้ชมกัน'.format(self.name))

	def show_youtube(self):
		print('https://www.youtube.com/watch?v=8IEezGQwgZk')

	def about(self):
		text = """
		กีตาร์คลาสสิก (อังกฤษ: classical guitar บางครั้งเรียก classic guitar, nylon-string guitar หรีอ Spanish guitar) เป็นเครื่องดนตรีประเภทที่ดีดด้วยนิ้วมือ อาจมีพัฒนาการมาก่อนคริสต์ศตวรรษที่ 15 จากเครื่องดนตรีที่เรียกว่า วิเวลา (vihuela) ซึ่งนิยมเล่นกันอย่างแพร่หลายในประเทศสเปน, ลูต และกีตาร์บาโรค[1] ข้อแตกต่างของกีตาร์คลาสสิกกับกีตาร์ชนิดอื่น คือ ขนาดของคอกีตาร์ หรือฟิงเกอร์บอร์ด (fingerboard) ที่มีขนาดที่กว้างกว่ากีตาร์ชนิดอื่น และสายที่ทำด้วยไนล่อน หรือที่เรียกกันว่าสายเอ็น เพราะแต่เดิมใช้สายที่ทำมาจากเอ็นของสัตว์ กีตาร์อีกประเภทหนึ่งที่มีรูปร่างใกล้เคียงกับกีตาร์คลาสสิก คือ กีตาร์ฟลาเมงโก (flamenco guitar)
		กีตาร์คลาสสิกนั้นให้เสียงในโทนพริ้วไหว สำหรับผู้ที่มีความชำนาญในการเล่นแล้ว กีตาร์คลาสสิกจะสามารถบันดาลเสียงทุกเสียงที่จะประกอบกันให้เป็นเพลงที่ไพเราะจับใจได้อย่างสมบูรณ์ไม่ว่าจะเป็นท่วงทำนอง (melody), คอร์ด (chord), และเบสส์ (bass) ในการเล่นกีตาร์คลาสสิกนั้นผู้เล่นต้องใช้ความรู้ ความสามารถ และเทคนิคมากมายซึ่งในการฝึกหัดนั้นต้องใช้ทั้งเวลา และความพยายามอย่างสูง มันจึงกลายเป็นดาบสองคมไปเลยในบางครั้ง คือ แทนที่จะช่วยให้ท่านได้พบกับความซาบซึ้ง และแตกฉานทางดนตรี มันกลับทำให้ท่านท้อแท้หรือมีอคติกับดนตรี (คลาสสิก) ไปเลยก็ได้ กีตาร์คลาสสิกจึงจัดได้ว่ามีความสมบูรณ์ในตัวมันเองจนมีผู้กล่าวว่าการเล่นกีตาร์คลาสสิกนั้นไม่ต่างอะไรไปกับการเล่นของวงออร์เคสต้าร์ขนาดย่อม ๆ เลยทีเดียว
		"""
		print(text)

	def show_art(self):
		text = """
		                          ,     
		                      ,   |     
		   _,,._              |  0'     
		 ,'     `.__,--.     0'         
		/   .--.        |           ,,, 
		| [=========|==|==|=|==|=|==___]
		\\  "--"  __    |           ''' 
		 `._   _,'  `--'                
		    ""'     ,   ,0     ,        
		hjm         |)  |)   ,'|        
		  ____     0'   '   | 0'        
		  |  |             0'           
		 0' 0'
		"""
		print(text)

if __name__ == '__main__':
	gt = ClassicalGT()
	gt.show_name()
	gt.show_youtube()
	gt.about()
	gt.show_art()